Index: chan_sip.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_sip.c,v
retrieving revision 1.334
diff -u -r1.334 chan_sip.c
--- chan_sip.c	7 Apr 2004 15:09:58 -0000	1.334
+++ chan_sip.c	14 Apr 2004 12:11:28 -0000
@@ -84,7 +84,7 @@
 #define DEFAULT_FREQ_OK		60 * 1000		/* How often to check for the host to be up */
 #define DEFAULT_FREQ_NOTOK	10 * 1000		/* How often to check, if the host is down... */
 
-#define DEFAULT_RETRANS		1000			/* How frequently to retransmit */
+#define DEFAULT_RETRANS		3000			/* How frequently to retransmit */
 #define MAX_RETRANS			5				/* Try only 5 times for retransmissions */
 
 #ifdef MYSQL_FRIENDS
@@ -3019,7 +3019,7 @@
 		initreqprep(&req, p, cmd, vxml_url);
 	} else
 		reqprep(&req, p, cmd, 0, 1);
-		
+
 	if (auth)
 		add_header(&req, authheader, auth);
 	append_date(&req);
@@ -5438,12 +5438,21 @@
 				}
 				p->needdestroy = 1;
 			} else {
+				char tmpcallid[250];
+				char *callid;
+
 				/* If no extension was specified, use the s one */
 				if (!strlen(p->exten))
 					strncpy(p->exten, "s", sizeof(p->exten) - 1);
 				/* Initialize tag */	
 				p->tag = rand();
 				/* First invitation */
+				strcpy(tmpcallid, p->callerid);
+				callid = ditch_braces(tmpcallid);
+				/* Is the call ID now different? (Incoming SIP call hack) */
+				if (strcmp(p->callerid, callid) != 0)
+				    strcpy(p->username, callid);
+				ast_log(LOG_NOTICE, "First call: %s (%s)\n", p->username, callid);
 				c = sip_new(p, AST_STATE_DOWN, strlen(p->username) ? p->username : NULL);
 				*recount = 1;
 				/* Save Record-Route for any later requests we make on this dialogue */
